"""
Author: Lukas Runt
Email: lrunt@students.zcu.cz
Date: December 01, 2023
Version: 1.0.0
Description: Explanation module of expert system, getting and printing result to the user
"""

from BazeDat import known_facts
import KomunikacniModul


def print_result():
    """
    Prints result to the user
    """
    result = known_facts[len(known_facts) - 1]
    parts_of_result = result.split("-")
    print(f"{KomunikacniModul.result} ({KomunikacniModul.translation[parts_of_result[0]]}, {parts_of_result[1]})")
