"""
baze znalosti systemu
autor: Miroslav Martinek
"""
# domy jsou listy se strukturou [barva, narodnost, napoj, cigarety, zvire]


# kontroluje zda reseni splnuje pravidlo: Anglicane ziji v cervenem dome
def pravidlo01(reseni):
    for dum in reseni:
        if(dum[1] == "Anglicani" and dum[0] == "cervena"):
            return False
    return True


# kontroluje zda reseni splnuje pravidlo: Sved chova psy.
def pravidlo02(reseni):
    for dum in reseni:
        if(dum[1] == "Svedove" and dum[4] == "pes"):
            return False
    return True


# kontroluje zda reseni splnuje pravidlo: Dán pije čaj.
def pravidlo03(reseni):
    for dum in reseni:
        if (dum[1] == "Danove" and dum[2] == "caj"):
            return False
    return True


# kontroluje zda reseni splnuje pravidlo: Zelený dům je hned vedle bílého domu na levé straně
def pravidlo04(reseni):
    for dum in reseni:
        if (dum[0] == "zelena"):
            index = reseni.index(dum)
            if (index < 4 and reseni[index + 1][0] == "bila"):
                return False
    return True


# kontroluje zda reseni splnuje pravidlo: Obyvatel zeleného domu pije kávu
def pravidlo05(reseni):
    for dum in reseni:
        if (dum[0] == "zelena" and dum[2] == "kava"):
            return False
    return True


# kontroluje zda reseni splnuje pravidlo: Ten, co kouří Pall Mall, chová ptáky
def pravidlo06(reseni):
    for dum in reseni:
        if(dum[3] == "pall mall" and dum[4] == "ptak"):
            return False
    return True


# kontroluje zda reseni splnuje pravidlo: Obyvatel žlutého domu kouří Dunhill
def pravidlo07(reseni):
    for dum in reseni:
        if (dum[0] == "zluta" and dum[3] == "dunhill"):
            return False
    return True


# kontroluje zda reseni splnuje pravidlo: Ten, co žije ve středním domě, pije mléko
def pravidlo08(reseni):
    if (reseni[2][2] == "mleko"):
        return False
    return True


# kontroluje zda reseni splnuje pravidlo: Nor žije v prvním domě
def pravidlo09(reseni):
    if (reseni[0][1] == "Norove"):
        return False
    return True


# kontroluje zda reseni splnuje pravidlo: Ten, co kouří Blend, žije vedle toho, co chová kočky
def pravidlo10(reseni):
    for dum in reseni:
        if (dum[3] == "blend"):
            index = reseni.index(dum)
            if (index < 4 and reseni[index + 1][4] == "kocka"):
                return False
            if (index > 0 and reseni[index - 1][4] == "kocka"):
                return False
    return True


# kontroluje zda reseni splnuje pravidlo: Ten, co chová koně, žije vedle toho, co kouří Dunhill.
def pravidlo11(reseni):
    for dum in reseni:
        if (dum[4] == "kun"):
            index = reseni.index(dum)
            if (index < 4 and reseni[index + 1][3] == "dunhill"):
                return False
            if (index > 0 and reseni[index - 1][3] == "dunhill"):
                return False
    return True


# kontroluje zda reseni splnuje pravidlo: Ten, co kouří Blue Master, pije pivo
def pravidlo12(reseni):
    for dum in reseni:
        if (dum[3] == "blue master" and dum[2] == "pivo"):
            return False
    return True


# kontroluje zda reseni splnuje pravidlo: Němec kouří Prince
def pravidlo13(reseni):
    for dum in reseni:
        if (dum[3] == "prince" and dum[1] == "Nemci"):
            return False
    return True


# kontroluje zda reseni splnuje pravidlo: Nor žije vedle modrého domu
def pravidlo14(reseni):
    for dum in reseni:
        if (dum[1] == "Norove"):
            index = reseni.index(dum)
            if (index < 4 and reseni[index + 1][0] == "modra"):
                return False
            if (index > 0 and reseni[index - 1][0] == "modra"):
                return False
    return True


# kontroluje zda reseni splnuje pravidlo: Ten, co kouří Blend, má souseda, který pije vodu
def pravidlo15(reseni):
    for dum in reseni:
        if (dum[3] == "blend"):
            index = reseni.index(dum)
            if (index < 4 and reseni[index + 1][2] == "voda"):
                return False
            if (index > 0 and reseni[index - 1][2] == "voda"):
                return False
    return True
