"""
@author Vitaliy Bohera
@version 1
@info Baze znalosti systemu pro reseni einsteinovy ulohy (vice reseni)
@date 8.12.2023
"""
import data
from itertools import permutations


'''
Funkce zjisti vsechna reseni uplatnovanim jednotlivych pravidel,
vytvari vsechny mozne kombinace a kontroluje zda splnuji vsechna pravidla
@return reseni - seznam vsech reseni
'''
def zjisti_reseni():
    reseni = {}
    permutace = list(permutations(range(5)))
    i = 1
    for dum in permutace:
        if dum[data.Narodnost.Norove] == data.Dum.Prvni:   # pravidlo cislo 3
            for barva in permutace:
                if barva[data.Narodnost.Anglicane] == data.Barva.Cervena:   # pravidlo cislo 1
                    if barva[data.Narodnost.Norove] == data.Barva.Modra:    # pravidlo cislo 6
                        if dum[barva.index(data.Barva.Zelena)] - dum[barva.index(data.Barva.Bila)] == 1:    # pravidlo cislo 13
                            for napoj in permutace:
                                if napoj[data.Narodnost.Ukrajinci] == data.Napoj.Caj:    # pravidlo cislo 9
                                    if napoj[barva.index(data.Barva.Zelena)] == data.Napoj.Kava:    # pravidlo cislo 12
                                        if napoj[dum.index(data.Dum.Treti)] == data.Napoj.Mleko:    # pravidlo cislo 14
                                            for kouri in permutace:
                                                if kouri[data.Narodnost.Japonci] == data.Kouri.Parliaments:    # pravidlo cislo 10
                                                    if kouri[barva.index(data.Barva.Zluta)] == data.Kouri.Sparty:    # pravidlo cislo 4
                                                        if napoj[kouri.index(data.Kouri.LuckyStrike)] == data.Napoj.Dzus:    # pravidlo cislo 8
                                                            for zvire in permutace:
                                                                if zvire[data.Narodnost.Spanele] == data.Zvire.Pes:    # pravidlo cislo 2
                                                                    if zvire[kouri.index(data.Kouri.Winstonky)] == data.Zvire.Snek:    # pravidlo cislo 7
                                                                        if dum[kouri.index(data.Kouri.Chesterfieldky)] - dum[zvire.index(data.Zvire.Liska)] in (-1, 1):    # pravidlo cislo 5
                                                                            if dum[zvire.index(data.Zvire.Kun)] - dum[kouri.index(data.Kouri.Sparty)] in (-1, 1):    # pravidlo cislo 11
                                                                                reseni[i] = {data.Dum: dum,
                                                                                             data.Narodnost: range(5),
                                                                                             data.Barva: barva,
                                                                                             data.Napoj: napoj,
                                                                                             data.Kouri: kouri,
                                                                                             data.Zvire: zvire}
                                                                                i += 1
    return reseni
