"""
@author Vitaliy Bohera
@version 1
@info Baze znalosti systemu pro odvozovani zda nastal pozar dilny
@date 8.12.2023
"""
from data import *


# definice pravidel
pravidla = {zkrat: [stroj_porucha, kabel_porucha],
            signalizace_pozaru: [hlasic_porucha],
            pozar_stroje: [signalizace_pozaru, zkrat],
            pozar_dilny: [pozar_stroje, obsluha_mimo]}


# funkce uplatnuje pravidla a dojde k zaveru, ktery vraci
def odvozovani():
    fakta = zname_fakta
    udalosti = []
    while len(fakta) != 1:
        for key, value in pravidla.items():
            for udalost in value:
                if udalost not in fakta:
                    udalosti.clear()
                    continue
                udalosti.append(udalost)
            fakta = list(set(fakta) - set(udalosti))
            fakta.append(key)
    return fakta[0]
