# Autor: Lukas Sobotka
# Datum: 15. 12. 2023
# Verze: 1.0
# ------------------------------------------------------------------------------------------------
# Tento modul slouzi pro komunikaci s uzivatelem
# ------------------------------------------------------------------------------------------------

# Vypise uvodni zpravu do konzole a ceka na reakci uzivatele
def vypis_uvod():
    print("Vitejte, prave jste spustili znalostni system, ktery resi nasledujici ulohu: ")
    print("V peti rodinnych domcich, ktere jsou natreny ruznymi barvami, bydli pet rodin ruznych narodnosti,")
    print("ktere kouri cigarety ruznych znacek, piji napoje ruznych znacek a chovaji ruzna domaci zvirata.")
    print("Budiz dany nasledujici skutecnosti:")
    print("- Anglicane ziji v cervenem dome.")
    print("- spanele maji psa.")
    print("- Norove ziji v prvem dome zleva.")
    print("- Obyvatele zluteho domu kouri sparty.")
    print("- Muz, ktery kouri Chesterfieldky, zije v dome vedle domu rodiny, ktera chova lisku.")
    print("- Norove ziji v modrem domu.")
    print("- Kurak Winstonek pestuje sneky.")
    print("- Kurak Lucky-Strike pije pomerancovy dzus.")
    print("- Ukrajinci piji caj.")
    print("- Japonci kouri cigarety znacky Parliaments.")
    print("- V dome vedle domu s konem se kouri sparty.")
    print("- V zelenem dome piji kavu.")
    print("- Zeleny dum je bezprostredne napravo od bileho domu.")
    print("- V prosrednim domu piji mleko.")
    print("Na zaklade analyzy uvedenych skutecnosti urcete:")
    print("- Kde zije zebra?")
    print("- Ve kterem dome piji vodu?")
    input("Stisknutim ENTER spustite program")


# Vypise tabulku s vysledkem
def vypis_vysledek(tabulka):
    hlavicka = ["Barva", "Narodnost", "Cigarety", "Napoj", "Zvire"]
    zebra = ""
    voda = ""

    radek = "{:<25} {:<25} {:<25} {:<25} {:<25} {:<25}"
    print(radek.format("", "1. dum", "2. dum", "3. dum", "4. dum", "5. dum"))
    for i in range(len(tabulka)):
        print(radek.format(hlavicka[i], tabulka[i][0], tabulka[i][1], tabulka[i][2], tabulka[i][3], tabulka[i][4]))
        if tabulka[4][i] == "zebra":
            zebra = i + 1
        if tabulka[3][i] == "voda":
            voda = i + 1
    print("Zebra zije v {0}. dome ".format(zebra))
    print("Vodu piji v {0}. dome".format(voda))

