# Autor: Lukas Sobotka
# Datum: 15. 12. 2023
# Verze: 1.0
# ------------------------------------------------------------------------------------------------
# Tento modul slouzi pro komunikaci s uzivatelem
# ------------------------------------------------------------------------------------------------

import baze_znalosti as znalosti
import baze_dat as data

# Vypise uvodni zpravu
def vypis_uvod():
    print("Vitejte, prave jste spustili znalostni system, ktery odvozuje zaver z pravidel")
    print("----------------------------------------------------------------------")
    print("Takto vypadaji fakta, ze kterych budeme odvozovat:\n")
    i = 1
    for fakta in data.fakta:
        print("{0}) {1}".format(i, fakta))
        i = i + 1

    print("Takto vypada mnozina pravidel:\n")

    i = 1
    for zaver, podminky in znalosti.odvozovaci_pravidla.items():
        vypis = "{0}) Jestlize ".format(i)
        for podminka in podminky:
            vypis = vypis + podminka + " &"
        vypis = vypis.removesuffix("&") + "tak {0}.".format(zaver)
        print(vypis)
        i = i + 1

    input("Pro spusteni odvozovani stisknete ENTER")


# vypise zpravu se zaverem odvozovani
# vysledek - zaver odvozovani
def vypis_vysledek(vysledek):
    print("---------------------------------------------------------------------")
    print("Po uplatneni pravidel jsme ziskali zaver: {0}".format(vysledek))
    print("---------------------------------------------------------------------")


# vypise zpravu o tom ze nelze odvodit zaver
def vypis_nelze():
    print("---------------------------------------------------------------------")
    print("Ze zvolenych faktu nelze odvodit zaver")
    print("---------------------------------------------------------------------")