# Autor: Lukas Sobotka
# Datum: 15. 12. 2023
# Verze: 1.0
# ------------------------------------------------------------------------------------------------
# Tento modul slouzi pro komunikaci s uzivatelem
# ------------------------------------------------------------------------------------------------

# Vypise uvodni zpravu do konzole a ceka na reakci uzivatele
def vypis_uvod():
    print("Vitejte, prave jste spustili znalostni system, ktery resi einsteinovu ulohu: ")
    print("Plne zadani einsteinovu ulohy ze cviceni zni takto: ")
    print("Plati nasledujici fakta:")
    print("- Anglican zije v cervenem dome.")
    print("- Sved chova psy.")
    print("- Dan pije caj.")
    print("- Zeleny dum je hned vedle bileho domu na leve strane.")
    print("- Obyvatel zeleneho domu pije kavu.")
    print("- Ten, co kouri Pall Mall, chova ptaky.")
    print("- Obyvatel zluteho domu kouri Dunhill.")
    print("- Ten, co zije ve strednim dome pije mleko.")
    print("- Nor zije v prvnim dome.")
    print("- Ten, co kouzi Blend, zije vedle toho, co chova kocky.")
    print("- Ten, co chova kone, zije vedle toho, co kouri Dunhill.")
    print("- Ten, co kouri Blue Master, pije pivo.")
    print("- Nemec kouri Prince.")
    print("- Nor zije vedle modreho domu.")
    print("- Ten, co kouri Blend, ma souseda, ktery pije vodu.")
    print("Otazka zni:")
    print("- Kdo chova rybicky?")
    input("Stisknutim ENTER spustite program")


# Vypise tabulku s vysledkem
def vypis_vysledek(tabulka):
    hlavicka = ["Barva", "Narodnost", "Cigarety", "Napoj", "Zvire"]
    rybicky = ""

    radek = "{:<25} {:<25} {:<25} {:<25} {:<25} {:<25}"
    print(radek.format("", "1. dum", "2. dum", "3. dum", "4. dum", "5. dum"))
    for i in range(len(tabulka)):
        print(radek.format(hlavicka[i], tabulka[i][0], tabulka[i][1], tabulka[i][2], tabulka[i][3], tabulka[i][4]))
        if tabulka[4][i] == "rybicky":
            rybicky = i + 1
    print("Rybicky chovaji v {0}. dome".format(rybicky))
