"""
@author Vitaliy Bohera
@version 1
@info Komunikacni modul pravidloveho systemu pro reprezentaci pokrmu
@date 8.12.2023
"""
import data
import znalosti


# vypis hlavicky pravidloveho systemu
def uvod_do_systemu():
    print("Pravidlovy system pro reprezentaci pokrmu.")
    print("-----------------------------------------")


# vypis dostupnych zprav pro komunikaci se systemem
def vypis_seznam_zprav():
    print("Co chcete zjistit?")
    print("1 - Vypsat dostupne pokrmy\n"
          "2 - Vypsat obsah pokrmu\n"
          "3 - Vypsat dostupne omacky\n"
          "4 - Vypsat obsah omacky\n"
          "5 - Vypsat graf pokrmu\n"
          "6 - Konec")


# funkce se zepta uzivatele na typ zpravy, kterou chce vykonat
def zeptej_se_na_vstup():
    zprava = input("Volba (pro napovedu zadej - help)> ")
    return zprava


# funkce se zepta uzivatele na pokrm
def zeptej_se_na_pokrm():
    i = 1
    pokrmy = znalosti.dostupne_pokrmy()
    print("\nVyberte pokrm: ")
    for pokrm in pokrmy:
        print(str(i) + " - " + pokrm)
        i += 1
    zprava = input("Volba> ")
    return zprava


# funkce se zepta uzivatele na omacku
def zeptej_se_na_omacku():
    i = 1
    omacky = znalosti.dostupne_omacky()
    print("\nVyberte omacku: ")
    for omacka in omacky:
        print(str(i) + " - " + omacka)
        i += 1
    zprava = input("Volba> ")
    return zprava


# funkce pro vypsani hlasky uzivateli kdyz zadanej vstup nevyhovuje formatu
def spatny_vstup():
    print("Špatný formát zprávy!!!")
