"""
@author Vitaliy Bohera
@version 1
@info Baze znalosti pravidloveho systemu pro reprezentaci pokrmu
@date 8.12.2023
"""
import data


# funkce pro zjisteni dosupnch pokrmu
def dostupne_pokrmy():
    pokrmy = []
    for pokrm in data.pokrmy.get("Pokrmy"):
        for key, value in pokrm.items():
            pokrmy.append(key)
    return pokrmy


# funkce pro zjisteni dostupnych omacek
def dostupne_omacky():
    omacky = []
    for omacka in data.omacky:
        for key, value in omacka.items():
            omacky.append(key)
    return omacky


# funkce pro zjisteni obsahu daneho pokrmu
def obsah_pokrmu(pokrm):
    obsah = []
    for key, value in data.pokrmy.items():
        for p in value:
            for k, v in p.items():
                if k == pokrm:
                    for ingr in v:
                        if isinstance(ingr, dict):
                            for k2 in ingr.keys():
                                obsah.append(k2)
                        else:
                            obsah.append(ingr)
                break
    return obsah


# funkce pro zjisteni obsahu dane omacky
def obsah_omacky(omacka):
    obsah = []
    for o in data.omacky:
        for k, v in o.items():
            if k == omacka:
                for ingr in v:
                    if isinstance(ingr, dict):
                        for k2 in ingr.keys():
                            obsah.append(k2)
                    else:
                        obsah.append(ingr)
            break
    return obsah


# funkce vrati vsechny pokrmy
def get_pokrmy():
    return data.pokrmy

