"""
Description: Tento modul slouží k dodání informací uživateli pokud si o ně zažádá.
Author: Václav Ovsík, ovsikv@students.zcu.cz
Version: 1.0
Date: 12.12.2023
"""


def print_result(houses):
    """
    Vypise vysledne informace o obyvatelych domu do tabulky.
    :param houses: seznam domu
    """
    print("Řešení:")
    # hlavicka tabulky
    print("{0: <10} {1: <10} {2: <10} {3: <10} {4: <10} {5: <10}".format("číslo domu", "národnost", "barva domu",
                                                                         "nápoj", "zvíře", "cigarety"))
    for house in houses:
        # jednotlive radky tabulky
        print("{0: <10} {1: <10} {2: <10} {3: <10} {4: <10} {5: <10}".format(house.house_num, house.nationality,
                                                                             house.color, house.drink, house.pet,
                                                                             house.cigarette))
