"""
Description: Tento modul komunikuje s uživatelem.
Author: Václav Ovsík, ovsikv@students.zcu.cz
Version: 1.0
Date: 13.12.2023
"""
import baze_dat


def start_info():
    # vypise uvod
    print("Vítá Vás znalostní systém pro zjištění závěru na základě zadaných pravidel a dat.")
    divider()
    rules()
    divider()
    facts()
    divider()
    input("Pro odvození závěru stiskněte klávesu ENTER\n")


def rules():
    # vypise pravidla znalostniho systemu
    print("Pravidla znalostního systému jsou následující: \n"
          "1. Jestliže (stroj M, porucha) & (elektrický kabel, porucha) tak (zkrat, ano)\n"
          "2. Jestliže (hlásič požáru, porucha) tak (signalizace požáru, ne)\n"
          "3. Jestliže (signalizace požáru, ne) & (zkrat, ano) tak (požár stroje M, ano)\n"
          "4. Jestliže (požár stroje M, ano) & (obsluha stroje mimo dílnu, ano) tak (požár dílny, ano)")


def facts():
    # vypise znama fakta
    print("Známá data")
    for fact in baze_dat.facts:
        print("• " + fact)


def divider():
    # vypise oddelovac
    print("-------------------------------------------------------------------------------------------")


def end_info():
    # vypise koncovy vypis a umozni uzivateli ukoncit program
    divider()
    input("Program ukončíte stisknutím klávesy ENTER")
