"""
Autor: Matěj Vohradský (vohry8@students.zcu.cz)
Datum: 2023-12-22
Program: Inferencni modul
Verze: 1.0.0
"""

# komunikacni modul
import komunikacni_modul as km
# baze dat
import baze_dat as bd
# baze znalosti
import baze_znalosti as bz
# vysvetlovaci modul
import vysvetlovaci_modul as vm


# zacatek programu
def spustit():
    # vypise uvod
    km.vypis_uvod()
    # vypise pravidla
    km.vypis_pravidla()
    # vypise udaje
    km.vypis_udaje()
    # vypise zpravu
    km.vypis_zpravu()
    # vyresi ulohu a vypise reseni
    km.odpoved(vyres())
    # vypise konec
    km.vypis_konec()


# vyresi ulohu
def vyres():
    reseni = ""
    pouzite_pravidla = []
    vysledek = []
    zmena = True
    # pobezi pokud nastane nejaka zmena a nebudou pouzita vsechna pravidla
    while len(pouzite_pravidla) < len(bz.pravidla) and zmena:
        zmena = False
        # prochazi pravidla
        for klic, pravidlo in bz.pravidla.items():
            # pravidlo nebylo pouzito
            if klic not in pouzite_pravidla:
                # zjisti vysledek pravidla
                vysledek = pravidlo(bd.udaje)
                if vysledek[0]:
                    zmena = True
                    pouzite_pravidla.append(klic)
                    bd.udaje[vysledek[1]] = vysledek[2]
                reseni += vm.vysvetli(klic, vysledek[0])
    reseni += vm.vysvetli_konec(vysledek[1], vysledek[2])
    return reseni
