"""
Autor: Matěj Vohradský (vohry8@students.zcu.cz)
Datum: 2023-12-23
Program: Baze znalosti
Verze: 1.0.0
"""


# z ceho jsou lasagne verde
def lasagne_verde(udaje):
    if "zelené lasagne" not in udaje["těstoviny"]:
        return False
    if "boloňská" not in udaje["omáčka"]:
        if not bolonska(udaje):
            return False
    udaje["pokrm"].append("lasagne_verde")
    return True


# z ceho jsou bolonske spagety
def bolonske_spagety(udaje):
    if "špagety" not in udaje["těstoviny"]:
        return False
    if "boloňská" not in udaje["omáčka"]:
        if not bolonska(udaje):
            return False
    udaje["pokrm"].append("boloňské špagety")
    return True


# z ceho jsou neapolske spagety
def neapolske_spagety(udaje):
    if "špagety" not in udaje["těstoviny"]:
        return False
    if "neapolská" not in udaje["omáčka"]:
        return False
    udaje["pokrm"].append("neapolské špagety")
    return True


# z ceho je cervena omacka
def cervena(udaje):
    if "rajčatová" not in udaje["omáčka"]:
        print("-----------------------------------------------------------------------")
        return False
    udaje["barva omáčky"].append("červená")
    return True


# z ceho je bolonska omacka
def bolonska(udaje):
    if "sekané maso" not in udaje["masová příloha"]:
        return False
    if "cibule" not in udaje["příloha"]:
        return False
    if "červená" not in udaje["barva omáčky"]:
        if not cervena(udaje):
            return False
    udaje["omáčka"].append("boloňská")
    return True
