# ------------------------------------------------------------------------------------------------
# Autor: Dominik Vladar
# E-mail: vladar21@students.zcu.cz
# Datum: 1. 12. 2023
# Verze: 1.0
# Prace z predmetu KIV/UZI
# Zapadoceska univerzita v Plzni, Fakulta aplikovanych ved
# ------------------------------------------------------------------------------------------------
# Baze znalosti definuje souvislosti mezi jednotlivymi jidly.
# Urcuje, z jakych jidel se dalsi skladaji a jaky je to typ
# vazby (AND/OR). Timto zpusobem je vlastne jiz v bazi znalosti
# sestaven AND-OR graf, ktery pak staci pouze graficky reprezentovat.
# ------------------------------------------------------------------------------------------------

from baze_dat import *
# pokud je uzel listem, obsahuje stanovenou hodnotu,
# v opacnem pripade je reprezentovan jako seznam
# a obsahuje [nazev_uzlu, and/or vazba, pocet_potomku, potomek_1, potomek_2, ..., potomek_n],
# kde pocet_potomku je pocet vsech potomku, tzn. i neprimych
cervena_omacka = CERVENA_OMACKA
rajcatova_omacka = [RAJCATOVA_OMACKA, VAZBA_EKVIVALENCE, 1, cervena_omacka]
cibule = CIBULE
sekane_maso = SEKANE_MASO
bolonska_omacka = [BOLONSKA_OMACKA, VAZBA_AND, 4, sekane_maso, cibule, rajcatova_omacka]
zelene_lasagne = ZELENE_LASAGNE
lasagne_verde = [LASAGNE_VERDE, VAZBA_AND, 6, zelene_lasagne, bolonska_omacka]
spagety = SPAGETY
bolonske_spagety = [BOLONSKE_SPAGETY, VAZBA_AND, 6, bolonska_omacka, spagety]
neapolska_omacka = NEAPOLSKA_OMACKA
neapolske_spagety = [NEAPOLSKE_SPAGETY, VAZBA_AND, 2, spagety, neapolska_omacka]

pokrm = [POKRM, VAZBA_OR, 17, lasagne_verde, bolonske_spagety, neapolske_spagety]
