# ------------------------------------------------------------------------------------------------
# Autor: Dominik Vladar
# E-mail: vladar21@students.zcu.cz
# Datum: 1. 12. 2023
# Verze: 1.0
# Prace z predmetu KIV/UZI
# Zapadoceska univerzita v Plzni, Fakulta aplikovanych ved
# ------------------------------------------------------------------------------------------------
# Tento modul vypisuje jednoduche vypisy na obrazovku a umoznuje
# inferencnimu modulu zprostredkovane zachazet s funkcemi
# vysvetlovaciho modulu.
# ------------------------------------------------------------------------------------------------
import vysvetlovaci_modul


# Vypise uvodni informace.
def vypis_uvod():
    print("Tento program zobrazuje konjunktivne-disjunktni graf produkcniho systemu s daty:")
    print("\tD = { testoviny = spagety | zelene lasagne; omacka = rajcatova | bolonska | neapolska;")
    print("\t      masova priloha = sekane maso; priloha = cibule }")
    print("Program pracuje s nasledujici mnozinou pravidel:")
    print("\tif testoviny = zelene lasagne and omacka = bolonska then pokrm = lasagne verde")
    print("\tif testoviny = spagety and omacka = bolonska then pokrm = bolonske spagety")
    print("\tif testoviny = spagety and omacka = neapolska then pokrm = neapolske spagety")
    print("\tif omacka = rajcatova then barva omacky = cervena")
    print("\tif masova priloha = sekane maso and priloha = cibule and barva omacky = cervena "
          "then omacka = bolonska")
    print("-----------------------------------------------------------------------------------------")
    input("Stisknete ENTER, cimz se zobrazi AND-OR graf."
          " Pokud program na Enter nereaguje, je nutne nejdrive do konzole kliknout, cimz se aktivuje a teprve pote"
          " znovu zadat Enter."
          " Okno je mozne zavrit krizkem, pripadne kliknete do okna a stisknete libovolnou klavesu.")


# Necha vysvetlovaci modul, aby graficky znazornil vysledek.
def vypis_vysledek(korenovy_uzel):
    vysvetlovaci_modul.vypis_strom(korenovy_uzel)
