# ------------------------------------------------------------------------------------------------
# Autor: Dominik Vladar
# E-mail: vladar21@students.zcu.cz
# Datum: 1. 12. 2023
# Verze: 1.0
# Prace z predmetu KIV/UZI
# Zapadoceska univerzita v Plzni, Fakulta aplikovanych ved
# ------------------------------------------------------------------------------------------------
# Komunikacni modul vypisuje jednoduche vypisy na obrazovku
# a zprostredkovava komunikaci mezi inferencnim a vysvetlovacim modulem.
# ------------------------------------------------------------------------------------------------
import vysvetlovaci_modul


# Vypise uvodni informace.
def vypis_uvod():
    print("Tento znalostni system zjisti, k jakemu problemu v dilne doslo"
          " na zaklade nasledujicich dat:")
    print("\tstroj M, porucha")
    print("\telektricky kabel, porucha")
    print("\thlasic pozaru, porucha")
    print("\tobsluha stroje, mimo dilnu")
    print("K zaveru dojde pomoci techto pravidel:")
    print("\tJestlize (stroj M, porucha) & (elektricky kabel, porucha) tak (zkrat, ano).")
    print("\tJestlize (hlasic pozaru, porucha) tak (signalizace pozaru, ne).")
    print("\tJestlize (signalizace pozaru, ne) & (zkrat, ano) tak (pozar stroje M, ano).")
    print("\tJestlize (pozar stroje M, ano) & (obsluha stroje mimo dilnu, ano) tak (pozar dilny, ano).")
    print("-----------------------------------------------------------------------------------------")


# Vypise vysledek v lidsky citelne podobe.
def vypis_vysledek(vysledek):
    vysvetlovaci_modul.vysvetli_vysledek(vysledek)
