"""
inferencni modul systemu
cviceni 9
zadani 2
autor: Miroslav Martinek
datum: 14.12.2023
verze: 2.0
"""
import komunikacni_modul
import baze_znalosti
import vysvetlovaci_modul


# spousti vytisk informaci a grafu
def start():
    komunikacni_modul.uvod()
    vysvetlovaci_modul.graf(baze_znalosti.koren(), 0)
    komunikacni_modul.oddelovac()

    if(vysvetlovaci_modul.otazka()):
        # dynamicke prohledavani grafu
        lokace = [baze_znalosti.koren()]  # list s cestou k soucasne lokaci
        while(True):
            komunikacni_modul.oddelovac()
            vysvetlovaci_modul.vypis_uzlu(lokace)
            vstup = vysvetlovaci_modul.kam_dal()
            if (vstup.isnumeric()):
                vstup = int(vstup)
                if(vstup == 0):
                    # zadan vstup pro posun do rodice
                    if(len(lokace) > 1):
                        lokace.pop()  # posun do rodice
                    else:
                        komunikacni_modul.koren_chyba()
                elif(lokace[-1].potomci is not None):
                    # zadan vstup pro posun do potomka a potomci jsou
                    if(len(lokace[-1].potomci) >= vstup):
                        lokace.append(lokace[-1].potomci[vstup - 1])  # posun do potomka
                    else:
                        komunikacni_modul.neni_potomek()
                else:
                    # zadan vstup pro posun do potomka a potomci nejsou
                    komunikacni_modul.neni_potomek()
            else:
                # zadan vstup pro ukonceni prohledavani
                break
