"""
vysvetlovaci modul systemu
cviceni 9
zadani 2
autor: Miroslav Martinek
datum: 14.12.2023
verze: 2.0
"""


# vytiskne graf rekursi
def graf(koren, uroven):
    # sestaveni radky
    vypis = "\t" * uroven
    vypis += koren.nazev
    if(len(koren.typ)):
        vypis += " - " + koren.typ + ":"
    print(vypis)

    # potomci (pokud existuji) rekursivne tisteni s vysi urovni
    if(koren.potomci is not None):
        for potomek in koren.potomci:
            graf(potomek, uroven + 1)


# zepta se zda zapnout dynamicke prochazeni grafu
def otazka():
    return input("Chcete graf dynamicky prochazet? (ano pro sputeni / cokoliv ostatinho pro ne)\n") == "ano"


def vypis_uzlu(lokace):
    vypis = "Soucasna lokace:"
    for uzel in lokace:
        vypis += "/" + uzel.nazev
    print(vypis)

    vypis = "Typ uzlu: "
    if(lokace[-1].typ == ""):
        vypis += "list"
    else:
        vypis += lokace[-1].typ
    print(vypis)

    print("Seznam potomku:")
    counter = 1
    if(lokace[-1].potomci is not None):
        for potomek in lokace[-1].potomci:
            print("(" + str(counter) + ") " + potomek.nazev)
            counter += 1


def kam_dal():
    return input("Moznosti vstupu: 0=posun do rodice; kladne cislo=posun do potomka podle cisla; "
          "ostatni vstupy ukonci prochazeni\n")
