"""
inferencni modul systemu
cviceni 9
zadani 3
autor: Miroslav Martinek
datum: 14.12.2023
verze: 2.0
"""
import baze_znalosti
from baze_dat import data
import random
import vysvetlovaci_modul
import komunikacni_modul


# pouziva pravidla a pocatecni data k doplneni dat
def reseni():
    komunikacni_modul.uvod()

    # inicializace pocatecnich dat
    data["stroj M"] = "porucha"
    data["eletricky kabel"] = "porucha"
    data["hasic pozaru"] = "porucha"
    data["obsluha stroje"] = "mimo dilnu"

    poradi_pravidel = []
    # pracujeme dokud jsou pravidla k reseni
    aplikovatelna_pravidla = baze_znalosti.proveditelnost()
    while(len(aplikovatelna_pravidla)):
        pravidlo = random.choice(aplikovatelna_pravidla)  # nahodne vybereme resitelne pravidlo
        cislo_pravidla = pravidlo()  # provedeme pravidlo
        poradi_pravidel.append(cislo_pravidla)
        aplikovatelna_pravidla = baze_znalosti.proveditelnost()  # aktualizujeme resitelne pravidla

    # vysledek byl nalezen, vsechny pravidla splnena
    vysvetlovaci_modul.vypis_vysledku(data["pozar dilny"])
    vysvetlovaci_modul.vypis_poradi(poradi_pravidel)

