"""
Author: Lukas Runt
Email: lrunt@students.zcu.cz
Date: December 01, 2023
Version: 1.0.0
Description: Communication module, this module contains all strings what can be print to the user
"""

welcome_message = f"Vítejte v programu pro řešení Einsteinova hádanky.\nÚloha zní následovně:"

einstein_riddle = "Existuje pět domů, přičemž každý má odlišnou barvu.\n" \
                  "V každém domě žije osoba odlišné národnosti.\n" \
                  "Každý z těchto pěti obyvatel pije svůj vlastní nápoj, kouří svou značku cigaret a chová své oblíbené zvíře.\n" \
                  "Nikdo nepije to, co pijí ostatní, nekouří stejnou značku cigaret jako ostatní a nechová stejné zvíře jako ostatní."

rules = "Platí následující fakta:\n" \
        "1) Angličan žije v červeném domě.\n" \
        "2) Švéd chová psy.\n" \
        "3) Dán pije čaj.\n" \
        "4) Zelený dům je hned vedle bílého domu na levé straně.\n" \
        "5) Obyvatel zeleného domu pije kávu.\n" \
        "6) Ten, co kouří Pall Mall, chová ptáky.\n" \
        "7) Obyvatel žlutého domu kouří Dunhill.\n" \
        "8) Ten, co žije ve středním domě, pije mléko.\n" \
        "9) Nor žije v prvním domě.\n" \
        "10) Ten, co kouří Blend, žije vedle toho, co chová kočky.\n" \
        "11) Ten, co chová koně, žije vedle toho, co kouří Dunhill.\n" \
        "12) Ten, co kouří Blue Master, pije pivo.\n" \
        "13) Němec kouří Prince.\n" \
        "14) Nor žije vedle modrého domu.\n" \
        "15) Ten, co kouří Blend, má souseda, který pije vodu."

press_enter = "Pro řešení hádánky stiskněte ENTER ..."

no_solution = "Úloha nemá řesení."

close_program = "Pro ukončení programu zmáčkněte ENTER ..."

line = "---------------------------------------------------------------------------------------------------------------"

headers = ["Dům", "Barva", "Národnost", "Nápoj", "Cigarety", "Domácí mazlíček"]


def number_of_solutions(number: int) -> str:
    """
    Creating text for numbers of solutions
    :param number: number of solutions
    :return: created text
    """
    return f"Hádanka má {number} řešení."


def result_number(number: int) -> str:
    """
    Creating text for each result
    :param number: number of actual result
    :return: created text
    """
    return f"Řešení číslo {number}:"
