"""
Author: Lukas Runt
Email: lrunt@students.zcu.cz
Date: November 29, 2023
Version: 1.0.0
Description: Communication module, this module contains all strings what can be print to the user
"""

welcome_message = f"Vítejte v programu jednoduchého znalostního systému\nPravidla systému jsou následující:"

rules = f"1) Jestliže (stroj M, porucha) & (elektrický kabel, porucha) tak (zkrat, ano)\n" \
        f"2) Jestliže (hlásič požáru, porucha) tak (signalizace požáru, ne)\n" \
        f"3) Jestliže (signalizace požáru, ne) & (zkrat, ano) tak (požár stroje M, ano)\n" \
        f"4) Jestliže (požár stroje M, ano) & (obsluha stroje mimo dílnu, ano) tak (požár dílny, ano)"

line = "-----------------------------------------------------------------------------------------------"

facts = "Jsou známa následující fakta:\n" \
        "1) stroj M, porucha\n" \
        "2) elektrický kabel, porucha\n" \
        "3) hlásič požáru, porucha\n" \
        "4) obsluha stroje, mimo dílnu"

show_results = "Pro zobrazení výsledků stiskněte ENTER ..."

result = "Výledek je následující: "

end_program = "Pro ukončení programu stiskněte ENTER ..."

translation = {
    "pozar_dilny": "požár dílny",
    "elektricky_kabel": "elektrický kabel",
    "hlasic_pozaru": "hlásič požáru",
    "obsluha_stroje": "obsluha stroje",
    "pozar_stroje": "požár stroje",
}
