"""
@author Vitaliy Bohera
@version 1
@info Baze znalosti systemu pro reseni einsteinovy ulohy (jedno reseni)
@date 8.12.2023
"""
import data
from itertools import permutations


'''
Funkce zjisti vsechna reseni uplatnovanim jednotlivych pravidel,
vytvari vsechny mozne kombinace a kontroluje zda splnuji vsechna pravidla
@return reseni - seznam vsech reseni
'''
def zjisti_reseni():
    reseni = {}
    permutace = list(permutations(range(5)))
    i = 1
    for dum in permutace:
        if dum[data.Narodnost.Nor] == data.Dum.Prvni:   # pravidlo cislo 9
            for barva in permutace:
                if barva[data.Narodnost.Anglican] == data.Barva.Cervena:    # pravidlo cislo 1
                    if dum[data.Narodnost.Nor] - dum[barva.index(data.Barva.Modra)] in (-1, 1):    # pravidlo cislo 14
                        if dum[barva.index(data.Barva.Bila)] - dum[barva.index(data.Barva.Zelena)] == 1:    # pravidlo cislo 4
                            for napoj in permutace:
                                if napoj[data.Narodnost.Dan] == data.Napoj.Caj:    # pravidlo cislo 3
                                    if napoj[barva.index(data.Barva.Zelena)] == data.Napoj.Kava:    # pravidlo cislo 5
                                        if napoj[dum.index(data.Dum.Treti)] == data.Napoj.Mleko:    # pravidlo cislo 8
                                            for kouri in permutace:
                                                if kouri[data.Narodnost.Nemec] == data.Kouri.Prince:    # pravidlo cislo 13
                                                    if kouri[barva.index(data.Barva.Zluta)] == data.Kouri.Dunhill:    # pravidlo cislo 7
                                                        if napoj[kouri.index(data.Kouri.BlueMaster)] == data.Napoj.Pivo:    # pravidlo cislo 12
                                                            if dum[kouri.index(data.Kouri.Blend)] - dum[napoj.index(data.Napoj.Voda)] in (-1, 1):    # pravidlo cislo 15
                                                                for zvire in permutace:
                                                                    if zvire[data.Narodnost.Sved] == data.Zvire.Pes:    # pravidlo cislo 2
                                                                        if zvire[kouri.index(data.Kouri.PallMall)] == data.Zvire.Ptak:    # pravidlo cislo 6
                                                                            if dum[kouri.index(data.Kouri.Blend)] - dum[zvire.index(data.Zvire.Kocka)] in (-1, 1):    # pravidlo cislo 10
                                                                                if dum[zvire.index(data.Zvire.Kun)] - dum[kouri.index(data.Kouri.Dunhill)] in (-1, 1):    # pravidlo cislo 11
                                                                                    reseni[i] = {data.Dum: dum,
                                                                                                 data.Narodnost: range(5),
                                                                                                 data.Barva: barva,
                                                                                                 data.Napoj: napoj,
                                                                                                 data.Kouri: kouri,
                                                                                                 data.Zvire: zvire}
                                                                                    i += 1
    return reseni
