# Autor: Lukas Sobotka
# Datum: 15. 12. 2023
# Verze: 1.0
# ------------------------------------------------------------------------------------------------
# Tento modul slouzi k ukladani jednotlivych znalosti o datech
# ------------------------------------------------------------------------------------------------

import baze_dat as data


# zjisti dostupne pokrmy
# return - seznam dostupnych pokrmu
def dostupne_pokrmy():
    pokrmy = []
    for pokrm in data.pokrmy:
        for key, value in pokrm.items():
            pokrmy.append(key)
    return pokrmy


# z baze dat zjisti obsah daneho pokrmu
# pokrm - pokrm jehoz obsah bude ziskavan
# retrun - zjisteny obsah
def obsah_pokrmu(pokrm):
    obsah = []
    for value in data.pokrmy:
        for k, v in value.items():
            if k == pokrm:
                for ingr in v:
                    if isinstance(ingr, dict):
                        for k2 in ingr.keys():
                            obsah.append(k2)
                    else:
                        obsah.append(ingr)
            break
    return obsah
