# Autor: Lukas Sobotka
# Datum: 15. 12. 2023
# Verze: 1.0
# ------------------------------------------------------------------------------------------------
# Tento modul slouzi pro rizeni celeho projektu, pouziva funkci komunikacniho modulu pro komunikaci s uzivatelem
# ------------------------------------------------------------------------------------------------
import baze_dat as data
import komunikacni_modul as kom
import vysvetlovaci_modul as vys


# Hlavni funkce celeho programu
def start():
    kom.vypis_uvod()

    # Cekame na reakci uzivatele v nekonecne smycce
    while True:
        kom.vypis_moznosti()
        zprava = kom.zjisti_vstup()

        if zprava == "3":
            break

        elif zprava == "1":
            while True:
                pokrm = kom.zjisti_pokrm()
                if pokrm == "1":
                    vys.vypis_obsah_pokrmu("Neapolske spagety")
                    break
                elif pokrm == "2":
                    vys.vypis_obsah_pokrmu("Bolonske spagety")
                    break
                elif pokrm == "3":
                    vys.vypis_obsah_pokrmu("Lasagne verde")
                    break
                else:
                    kom.spatny_vstup()

        elif zprava == "2":
            vys.vypis_cely_graf(data.pokrmy)
        else:
            kom.spatny_vstup()
