# Autor: Lukas Sobotka
# Datum: 15. 12. 2023
# Verze: 1.0
# ------------------------------------------------------------------------------------------------
# Tento modul slouzi pro komunikaci s uzivatelem
# ------------------------------------------------------------------------------------------------

import baze_znalosti as znalosti


# vypise uvodni zpravu
def vypis_uvod():
    print("Vitejte, prave jste spustili znalostni system, ktery popisuje recepty a jejich ingreience.")
    print("Vyberte moznost z nabidky a nezapomente stisknout ENTER pro potvrzeni")
    print("------------------------------------------------------------------------------------------------")


# Vypise uzivateli moznosti systemu
def vypis_moznosti():
    print("Vyberte moznost")
    print("1 - Vypsat obsah pokrmu\n"
          "2 - Vypsat graf vsech pokrmu\n"
          "3 - Ukoncit program")


# zepta uzivatele se na vstup
# return - vstup uzivatele
def zjisti_vstup():
    zprava = input("> ")
    return zprava


# zepta se uzivatele na pokrm a vrati jeho odpoved
# return - odpoved uzivatele
def zjisti_pokrm():
    i = 1
    pokrmy = znalosti.dostupne_pokrmy()
    print("\nZvolte pokrm: ")

    for pokrm in pokrmy:
        print(str(i) + " - " + pokrm)
        i += 1
    return zjisti_vstup()


# Vypise hlasku o spatne zadanem vstupu
def spatny_vstup():
    print("Spatne zadany vstup!")
