"""
@author Vitaliy Bohera
@version 1
@info Inferenci modul pravidloveho systemu pro reprezentaci pokrmu
@date 8.12.2023
"""
import data
import komunikace
import vysvetlovaci_modul
import znalosti


# Spusteni celeho systemu
def start_system():
    komunikace.uvod_do_systemu()
    komunikace.vypis_seznam_zprav()

    # nekonecna smycka kde cekame na zpravy od uzivatele, na ktere pak reagujeme
    pokracuj = True
    while pokracuj:
        zprava = komunikace.zeptej_se_na_vstup()
        if zprava == "6":
            pokracuj = False
        elif zprava == "help":
            print("\n")
            komunikace.vypis_seznam_zprav()
        elif zprava == "1":
            vysvetlovaci_modul.vypis_pokrmy()
        elif zprava == "2":
            pokracuj_pokrm = True
            while pokracuj_pokrm:
                pokrm = komunikace.zeptej_se_na_pokrm()
                if pokrm == "1":
                    vysvetlovaci_modul.vypis_obsah_pokrmu("Neapolske spagety")
                    pokracuj_pokrm = False
                elif pokrm == "2":
                    vysvetlovaci_modul.vypis_obsah_pokrmu("Bolonske spagety")
                    pokracuj_pokrm = False
                elif pokrm == "3":
                    vysvetlovaci_modul.vypis_obsah_pokrmu("Lasagne verde")
                    pokracuj_pokrm = False
                else:
                    komunikace.spatny_vstup()
        elif zprava == "3":
            vysvetlovaci_modul.vypis_omacky()
        elif zprava == "4":
            pokracuj_omacka = True
            while pokracuj_omacka:
                omacka = komunikace.zeptej_se_na_omacku()
                if omacka == "1":
                    vysvetlovaci_modul.vypis_obsah_omacky("Neapolska omacka")
                    pokracuj_omacka = False
                elif omacka == "2":
                    vysvetlovaci_modul.vypis_obsah_omacky("Bolonska omacka")
                    pokracuj_omacka = False
                elif omacka == "3":
                    vysvetlovaci_modul.vypis_obsah_omacky("Rajcatova omacka")
                    pokracuj_omacka = False
                else:
                    komunikace.spatny_vstup()
        elif zprava == "5":
            vysvetlovaci_modul.vypis_uparaveny_graf(znalosti.get_pokrmy())
        else:
            komunikace.spatny_vstup()
