"""
Description: Tento modul ukládá a poskytuje data.
Author: Václav Ovsík, ovsikv@students.zcu.cz
Version: 1.0
Date: 12.12.2023
"""


class House:
    """
    Obsahuje informace o domu a jeho obyvatelich
    """
    def __init__(self, house_num, color, nationality, drink, cigarette, pet):
        self.house_num = house_num
        self.color = color
        self.nationality = nationality
        self.drink = drink
        self.cigarette = cigarette
        self.pet = pet


# seznamy obsahujici moznosti barev, narodnosti, napoju, cigaret a mazlicku
house_nums = [1, 2, 3, 4, 5]
colors = ["Červená", "Žlutá", "Modrá", "Zelená", "Bílá"]
nationalities = ["Angličané", "Španělé", "Norové", "Ukrajinci", "Japonci"]
drinks = ["Pomerančový džus", "Čaj", "Mléko", "Káva", "Voda"]
cigarettes = ["Sparta", "Chesterfield", "Winston", "Lucky-Strike", "Parliaments"]
pets = ["Pes", "Liška", "Šnek", "Kůň", "Zebra"]

# pripraveny seznam k naplneni spravnymi kombinacemi
houses = [House(house_nums[0], None, None, None, None, None), House(house_nums[1], None, None, None, None, None),
          House(house_nums[2], None, None, None, None, None), House(house_nums[3], None, None, None, None, None),
          House(house_nums[4], None, None, None, None, None)]


class Remaining:
    """
    Obsahuje seznamy zbyvajicich prvku pro jednotlive moznosti
    """
    def __init__(self, colors, nationalities, drinks, cigarettes, pets):
        self.colors = colors
        self.nationalities = nationalities
        self.drinks = drinks
        self.cigarettes = cigarettes
        self.pets = pets


# uchovava zbyvajici moznosti
remaining = Remaining(colors, nationalities, drinks, cigarettes, pets)
