"""
Description: Tento modul slouží k dodání informací uživateli pokud si o ně zažádá.
Author: Václav Ovsík, ovsikv@students.zcu.cz
Version: 1.0
Date: 12.12.2023
"""
import komunikacni_modul
result_num = 1  # cislo reseni


def print_result(houses):
    global result_num
    """
    Vypise vysledne informace o obyvatelych domu do tabulky.
    :param houses: seznam domu
    """
    print("\nŘešení {}:".format(result_num))
    print("{0: <12} {1: <12} {2: <14} {3: <16} {4: <14} {5: <14}".format("číslo domu", "národnost", "barva domu",
                                                                         "nápoj", "zvíře", "cigarety"))
    komunikacni_modul.divider()
    for house in houses:
        print("{0: <12} {1: <12} {2: <14} {3: <16} {4: <14} {5: <14}".format(house.house_num, house.nationality,
                                                                             house.color, house.drink, house.pet,
                                                                             house.cigarette))
    result_num += 1
