"""
Autor: Matěj Vohradský (vohry8@students.zcu.cz)
Datum: 2023-12-21
Program: Baze znalosti
Verze: 1.0.0
"""


# Angličan žije v červeném domě
def pravidlo1(barvy, narodnosti):
    return barvy.index("červená") == narodnosti.index("angličané")


# Švéd chová psy
def pravidlo2(narodnosti, zvirata):
    return narodnosti.index("švédové") == zvirata.index("pes")


# Dán pije čaj
def pravidlo3(narodnosti, napoje):
    return narodnosti.index("dánové") == napoje.index("čaj")


# Zelený dům je hned vedle bílého domu na levé straně
def pravidlo4(barvy):
    return barvy.index("zelená") == barvy.index("bílá") + 1


# Obyvatel zeleného domu pije kávu
def pravidlo5(barvy, napoje):
    return barvy.index("zelená") == napoje.index("káva")


# Ten, co kouří Pall Mall, chová ptáky
def pravidlo6(cigarety, zvirata):
    return cigarety.index("Pall Mall") == zvirata.index("pták")


# Obyvatel žlutého domu kouří Dunhill
def pravidlo7(cigarety, barvy):
    return cigarety.index("Dunhill") == barvy.index("žlutá")


# Ten, co žije ve středním domě, pije mléko
def pravidlo8(napoje):
    return napoje.index("mléko") == 2


# Nor žije v prvním domě
def pravidlo9(narodnosti):
    return narodnosti.index("norové") == 0


# Ten, co kouří Blend, žije vedle toho, co chová kočky
def pravidlo10(zvirata, cigarety):
    return zvirata.index("kočka") == cigarety.index("Blend") - 1 or zvirata.index("kočka") == cigarety.index("Blend") + 1


# Ten, co chová koně, žije vedle toho, co kouří Dunhill
def pravidlo11(zvirata, cigarety):
    return zvirata.index("kůň") == cigarety.index("Dunhill") - 1 or zvirata.index("kůň") == cigarety.index("Dunhill") + 1


# Ten, co kouří Blue Master, pije pivo
def pravidlo12(cigarety, napoje):
    return cigarety.index("Blue Master") == napoje.index("pivo")


# Němec kouří Prince
def pravidlo13(narodnosti, cigarety):
    return narodnosti.index("němci") == cigarety.index("Prince")


# Nor žije vedle modrého domu
def pravidlo14(narodnosti, barvy):
    return narodnosti.index("norové") == barvy.index("modrá") + 1 or narodnosti.index("norové") == barvy.index("modrá") - 1


# Ten, co kouří Blend, má souseda, který pije vodu
def pravidlo15(cigarety, napoje):
    return cigarety.index("Blend") == napoje.index("voda") + 1 or cigarety.index("Blend") == napoje.index("voda") - 1


# pravidla pro barvu
def pravidla_barvy(barvy):
    return pravidlo4(barvy)


# pravidla pro narodnost
def pravidla_narodnosti(barvy, narodnosti):
    return pravidlo1(barvy, narodnosti) and pravidlo9(narodnosti) and pravidlo14(narodnosti, barvy)


# pravidla pro cigarety
def pravidla_cigarety(barvy, narodnosti, cigarety):
    return pravidlo7(cigarety, barvy) and pravidlo13(narodnosti, cigarety)


# pravidla pro napoje
def pravidla_napoje(barvy, narodnosti, cigarety, napoje):
    return pravidlo3(narodnosti, napoje) and pravidlo5(barvy, napoje) and pravidlo8(napoje) and \
        pravidlo12(cigarety, napoje) and pravidlo13(narodnosti, cigarety) and pravidlo15(cigarety, napoje)


# pravidla pro zvirata
def pravidla_zvirata(barvy, narodnosti, cigarety, napoje, zvirata):
    return pravidlo2(narodnosti, zvirata) and pravidlo6(cigarety, zvirata) and pravidlo10(zvirata, cigarety) and \
        pravidlo11(zvirata, cigarety)
