"""
Autor: Matěj Vohradský (vohry8@students.zcu.cz)
Datum: 2023-12-21
Program: Baze znalosti
Verze: 1.0.0
"""


# Angličané žijí v červeném domě
def pravidlo1(barvy, narodnosti):
    return barvy.index("červená") == narodnosti.index("angličané")


# Španělé mají psa
def pravidlo2(narodnosti, zvirata):
    return narodnosti.index("španělé") == zvirata.index("pes")


# Norové žijí v prvém domě zleva
def pravidlo3(narodnosti):
    return narodnosti.index("norové") == 0


# Obyvatelé žlutého domu kouří sparty
def pravidlo4(barvy, cigarety):
    return barvy.index("žlutá") == cigarety.index("sparty")


# Muž, který kouří Chesterfieldky, žije v domě vedle domu rodiny, která chová lišku
def pravidlo5(cigarety, zvirata):
    return cigarety.index("Chesterfieldky") == zvirata.index("liška") - 1 or \
        cigarety.index("Chesterfieldky") == zvirata.index("liška") + 1


# Norové žijí v modrém domu
def pravidlo6(narodnosti, barvy):
    return narodnosti.index("norové") == barvy.index("modrá")


# Kuřák Winstonek pěstuje šneky
def pravidlo7(cigarety, zvirata):
    return cigarety.index("Winstonky") == zvirata.index("šneci")


# Kuřák Lucky-Strike pije pomerančový džus
def pravidlo8(cigarety, napoje):
    return cigarety.index("Lucky-Strike") == napoje.index("pomerančový džus")


# Ukrajinci pijí čaj
def pravidlo9(narodnosti, napoje):
    return narodnosti.index("ukrajinci") == napoje.index("čaj")


# Japonci kouří cigarety značky Parliaments
def pravidlo10(narodnosti, cigarety):
    return narodnosti.index("japonci") == cigarety.index("Parliaments")


# V domě vedle domu s koněm se kouří sparty
def pravidlo11(zvirata, cigarety):
    return zvirata.index("kůň") == cigarety.index("sparty") - 1 or zvirata.index("kůň") == cigarety.index("sparty") + 1


# V zeleném domě pijí kávu
def pravidlo12(barvy, napoje):
    return barvy.index("zelená") == napoje.index("káva")


# Zelený dům je bezprostředně napravo od bílého domu
def pravidlo13(barvy):
    return barvy.index("zelená") > barvy.index("bílá")


# V prostředním domu pijí mléko
def pravidlo14(napoje):
    return napoje.index("mléko") == 2


# pravidla pro barvu
def pravidla_barvy(barvy):
    return pravidlo13(barvy)


# pravidla pro narodnost
def pravidla_narodnosti(barvy, narodnosti):
    return pravidlo1(barvy, narodnosti) and pravidlo3(narodnosti) and pravidlo6(narodnosti, barvy)


# pravidla pro cigarety
def pravidla_cigarety(barvy, narodnosti, cigarety):
    return pravidlo4(barvy, cigarety) and pravidlo10(narodnosti, cigarety)


# pravidla pro napoje
def pravidla_napoje(barvy, narodnosti, cigarety, napoje):
    return pravidlo8(cigarety, napoje) and pravidlo9(narodnosti, napoje) and pravidlo12(barvy, napoje) and \
        pravidlo14(napoje)


# pravidla pro zvirata
def pravidla_zvirata(barvy, narodnosti, cigarety, napoje, zvirata):
    return pravidlo2(narodnosti, zvirata) and pravidlo5(cigarety, zvirata) and pravidlo7(cigarety, zvirata) and \
        pravidlo11(zvirata, cigarety)
