# ------------------------------------------------------------------------------------------------
# Autor: Dominik Vladar
# E-mail: vladar21@students.zcu.cz
# Datum: 1. 12. 2023
# Verze: 1.0
# Prace z predmetu KIV/UZI
# Zapadoceska univerzita v Plzni, Fakulta aplikovanych ved
# ------------------------------------------------------------------------------------------------
# Uchovava data - narodnosti, barvy, zvirata, cigarety, napoje, domy, ale take jeste nepouzite
# vlastnosti.
# ------------------------------------------------------------------------------------------------

# Reprezentuje jeden dum.
class Dum:
    def __init__(self, narodnost, barva, zvire, cigarety, piti):
        self.narodnost = narodnost
        self.barva = barva
        self.zvire = zvire
        self.cigarety = cigarety
        self.piti = piti


# reptezentuje data, ktera jeste zadnemu domu nebyla prirazena
class NepouziteData:
    def __init__(self, narodnosti, barvy, zvirata, cigarety, piti):
        self.narodnosti = narodnosti
        self.barvy = barvy
        self.zvirata = zvirata
        self.cigarety = cigarety
        self.piti = piti


NARODNOST_ANGLICANE = "Anglicane"
NARODNOST_SPANELE = "Spanele"
NARODNOST_NOROVE = "Norove"
NARODNOST_UKRAJINCI = "Ukrajinci"
NARODNOST_JAPONCI = "Japonci"

BARVA_CERVENA = "cervena"
BARVA_ZLUTA = "zluta"
BARVA_MODRA = "modra"
BARVA_ZELENA = "zelena"
BARVA_BILA = "bila"

ZVIRE_PES = "pes"
ZVIRE_LISKA = "liska"
ZVIRE_SNECI = "sneci"
ZVIRE_KUN = "kun"
ZVIRE_ZEBRA = "zebra"

CIGARETY_SPARTY = "sparty"
CIGARETY_CHESTERFIELDKY = "Chesterfieldky"
CIGARETY_WINSTONKY = "Winstonky"
CIGARETY_LUCKY_STRIKE = "Lucky-Strike"
CIGARETY_PARLIAMENTS = "Parliaments"

PITI_POMERANCOVY_DZUS = "pomerancovy dzus"
PITI_CAJ = "caj"
PITI_KAVA = "kava"
PITI_MLEKO = "mleko"
PITI_VODA = "voda"

narodnosti = [NARODNOST_ANGLICANE, NARODNOST_SPANELE, NARODNOST_NOROVE, NARODNOST_UKRAJINCI, NARODNOST_JAPONCI]
barvy = [BARVA_CERVENA, BARVA_ZLUTA, BARVA_MODRA, BARVA_ZELENA, BARVA_BILA]
zvirata = [ZVIRE_PES, ZVIRE_LISKA, ZVIRE_SNECI, ZVIRE_KUN, ZVIRE_ZEBRA]
cigarety = [CIGARETY_SPARTY, CIGARETY_CHESTERFIELDKY, CIGARETY_WINSTONKY, CIGARETY_LUCKY_STRIKE, CIGARETY_PARLIAMENTS]
piti = [PITI_POMERANCOVY_DZUS, PITI_CAJ, PITI_KAVA, PITI_MLEKO, PITI_VODA]

nepouzite_data = NepouziteData(narodnosti, barvy, zvirata, cigarety, piti)
domy = [
    Dum(None, None, None, None, None),
    Dum(None, None, None, None, None),
    Dum(None, None, None, None, None),
    Dum(None, None, None, None, None),
    Dum(None, None, None, None, None)
]
