# ------------------------------------------------------------------------------------------------
# Autor: Dominik Vladar
# E-mail: vladar21@students.zcu.cz
# Datum: 1. 12. 2023
# Verze: 1.0
# Prace z predmetu KIV/UZI
# Zapadoceska univerzita v Plzni, Fakulta aplikovanych ved
# ------------------------------------------------------------------------------------------------
# Vysvetlovaci modul slouzi k vysvetleni vysledku, ke kteremu prisel
# inferencni modul, uzivateli.
# ------------------------------------------------------------------------------------------------
from baze_dat import *

pocet_vypsanych_vysledku = 0


def vysvetli_vysledek(domy):
    global pocet_vypsanych_vysledku
    pocet_vypsanych_vysledku += 1
    print("{}. nalezeny vysledek:".format(pocet_vypsanych_vysledku))
    i = 1
    # cisla domu, kde se chova zebra a kde se pije voda
    # (hodnota do nich bude prirazena pozdeji)
    zebra_v = 0
    voda_v = 0
    for dum in domy:
        # ke kazdemu domu vypiseme nalezene vlastnosti
        print("dum {}: {}, {}, {}, {}, {}".format(i, dum.narodnost, dum.barva, dum.piti, dum.zvire, dum.cigarety))
        # zajima nas odpoved na otazku, tzn. kde se pije voda a kde chovaji zebru
        if dum.piti == PITI_VODA:
            voda_v = i
        if dum.zvire == ZVIRE_ZEBRA:
            zebra_v = i
        i += 1
    print("V tomto pripade byla zebra nalezena v{} {}. dome a voda se pije v{} {}. dome.".format(
        "" if (zebra_v == 1 or zebra_v == 5) else "e", zebra_v, "" if (voda_v == 1 or voda_v == 5) else "e", voda_v))
    print()  # odradkovani
