"""
baze znalosti systemu
autor: Miroslav Martinek
"""
# domy jsou listy se strukturou [barva, narodnost, napoj, cigarety, zvire]


# kontroluje zda reseni splnuje pravidlo: Anglicane ziji v cervenem dome
def pravidlo01(reseni):
    for dum in reseni:
        if(dum[1] == "Anglicani" and dum[0] == "cervena"):
            return False
    return True


# kontroluje zda reseni splnuje pravidlo: Spanele maji psa
def pravidlo02(reseni):
    for dum in reseni:
        if(dum[1] == "Spanele" and dum[4] == "pes"):
            return False
    return True


# kontroluje zda reseni splnuje pravidlo: Norove ziji v prvem dome zleva
def pravidlo03(reseni):
    if (reseni[0][1] == "Norove"):
        return False
    return True


# kontroluje zda reseni splnuje pravidlo: Obyvatele zluteho domu kouri sparty
def pravidlo04(reseni):
    for dum in reseni:
        if (dum[0] == "zluta" and dum[3] == "sparty"):
            return False
    return True


# kontroluje zda reseni splnuje pravidlo: Muz, ktery kouri Chesterfieldky, zije v dome vedle domu rodiny, ktera chova lisku
def pravidlo05(reseni):
    for dum in reseni:
        if (dum[3] == "chesterfield"):
            index = reseni.index(dum)
            if(index < 4 and reseni[index+1][4] == "liska"):
                return False
            if (index > 0 and reseni[index - 1][4] == "liska"):
                return False
    return True


# kontroluje zda reseni splnuje pravidlo: Norove ziji v modrem domu
def pravidlo06(reseni):
    for dum in reseni:
        if(dum[1] == "Norove" and dum[0] == "modra"):
            return False
    return True


# kontroluje zda reseni splnuje pravidlo: Kurak Winstonek pestuje sneky
def pravidlo07(reseni):
    for dum in reseni:
        if (dum[3] == "winston" and dum[4] == "snek"):
            return False
    return True


# kontroluje zda reseni splnuje pravidlo: Kurak Lucky-Strike pije pomerancovy dzus
def pravidlo08(reseni):
    for dum in reseni:
        if (dum[3] == "lucky-strike" and dum[2] == "dzus"):
            return False
    return True


# kontroluje zda reseni splnuje pravidlo: Ukrajinci piji caj
def pravidlo09(reseni):
    for dum in reseni:
        if (dum[1] == "Ukrajinci" and dum[2] == "caj"):
            return False
    return True


# kontroluje zda reseni splnuje pravidlo: Japonci kouri cigarety znacky Parliaments
def pravidlo10(reseni):
    for dum in reseni:
        if (dum[1] == "Japonci" and dum[3] == "parliaments"):
            return False
    return True


# kontroluje zda reseni splnuje pravidlo: V dome vedle domu s konem se kouri sparty
def pravidlo11(reseni):
    for dum in reseni:
        if (dum[4] == "kun"):
            index = reseni.index(dum)
            if (index < 4 and reseni[index + 1][3] == "sparty"):
                return False
            if (index > 0 and reseni[index - 1][3] == "sparty"):
                return False
    return True


# kontroluje zda reseni splnuje pravidlo: V zelenem dome piji kavu
def pravidlo12(reseni):
    for dum in reseni:
        if (dum[0] == "zelena" and dum[2] == "kava"):
            return False
    return True


# kontroluje zda reseni splnuje pravidlo: Zeleny dům je bezprostredne napravo od bileho domu
def pravidlo13(reseni):
    for dum in reseni:
        if (dum[0] == "zelena"):
            index = reseni.index(dum)
            if (index > 0 and reseni[index - 1][0] == "bila"):
                return False
    return True


# kontroluje zda reseni splnuje pravidlo: V prostrednim domu piji mleko
def pravidlo14(reseni):
    if(reseni[2][2] == "mleko"):
        return False
    return True
